'use strict';

const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();

const Main = imports.ui.main;

class Extension {
	constructor(uuid) {
		log(`Extension constructor`)
		this._uuid = uuid;

		this.settings = ExtensionUtils.getSettings('org.gnome.shell.extensions.docker');

		// Initialize translations
		ExtensionUtils.initTranslations(Me.metadata.uuid);
	}

	enable() {
		log(`Extension enable`)
		// Create indicator.
		this._indicator = new Me.imports.modules.menu.Menu;

		Main.panel.addToStatusArea(this._uuid, this._indicator);
	}

	disable() {
		log(`Extension disable`)
		this._indicator.destroy();
		this._indicator = null;
	}
}


function init(meta) {
	log(`init`)
	return new Extension(meta.uuid);
}
