'use strict';

const {  Gio, GObject, St } = imports.gi;

const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();
const Docker = Me.imports.lib.docker;

const Main = imports.ui.main;
const PanelMenu = imports.ui.panelMenu;

var Menu = GObject.registerClass(
	class Menu extends PanelMenu.Button {
		_init() {
			super._init(0.0, _('Docker Menu'));

			// Add icon
			let gicon = Gio.icon_new_for_string(Me.path + "/resources/docker.png");
			let icon = new St.Icon({ gicon: gicon , icon_size: '24' });
			this.add_child(icon);

			this.connect('button-press-event', this._show_containers.bind(this));
		}

		_show_containers() {
			this.menu.removeAll();

			let item;
			Docker.get_containers().forEach(container => {
				item = new Me.imports.modules.containerMenu.Container_Menu(container.name, container.status);
				this.menu.addMenuItem(item);
			});

			if (this.menu.isEmpty()) {
				item = new imports.ui.popupMenu.PopupMenuItem("No containers");
				this.menu.addMenuItem(item);
			}

			this.menu.open();
		}
	}
);
